import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/bootshine2/0a5473f28c405d7262409763c6e951f9/raw/331f4abcf2aa33a491917b596b5af16550b4e5a5/State%2520Lats%2520and%2520Longs';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Latitude = +d.Latitude;
      d.Longitude = +d.Longitude;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};